> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/health/v1.5/setup/configuration/ui-configuration/stock-management.md).

# Stock Management

This enables a user to manage stocks, besides facilitating stock reconciliation.

## Using Stock Management

On this page, the following actions can be performed:

* After a successful login as a warehouse manager, a user lands on the home screen which consists of "Manage Stock", and "Stock Reconciliation".-&#x20;

![](https://content.gitbook.com/content/GYQEda2SOh4goA6Ee2d2/blobs/CjJJiTOhu3mWkLndJ4Ho/image.png)

### Manage Stocks

This screen consists of the following types of transactions that take place for the the inventory:

* Stock Receipt
* Stock Issued
* Stock Returned
* Stock Damaged
* Stock Loss

![](https://content.gitbook.com/content/GYQEda2SOh4goA6Ee2d2/blobs/POACyLe0qbHaKAykF7qu/image.png)

#### Stock Receipt

* When a user clicks on record stock receipt, the warehouse details screen will appear.
* The latitude/longitude captures the geo-location of the warehouse which can be fetched with the help of the location icon within the field.

![](https://content.gitbook.com/content/GYQEda2SOh4goA6Ee2d2/blobs/tKUfa8sXfcew89QdOqys/image.png)

* Clicking on the next button will navigate the user to the "Received Stock" details screen.&#x20;

![](https://content.gitbook.com/content/GYQEda2SOh4goA6Ee2d2/blobs/wfHt0Hr6EXuD0rgW8UR8/image.png)<br>

* The "Receipt Stock Details" form has some mandatory fields: product, received from warehouse, and quantity received.&#x20;
* The optional fields include waybill number, quantity indicated on waybill, transport type, vehicle number, and comments. &#x20;
* Clicking on the submit button will take the user to the success page.

#### Record Stock Issued

* This screen captures the mandatory fields: Product, Issued to warehouse, and the quantity.&#x20;
* The optional fields include waybill number, quantity indicated on waybill, transport type, vehicle number and comments. &#x20;
* Clicking on the submit button will go to the success page.

![](https://content.gitbook.com/content/GYQEda2SOh4goA6Ee2d2/blobs/i0pUmyqHARl3oAq9T8s6/image.png)<br>

#### Returned Stock Details

This screen captures the mandatory fields: Product, returned to warehouse, and quantity returned.&#x20;

The optional fields are waybill number, quantity indicated on waybill, transport type, vehicle number, and comments. &#x20;

Clicking on the submit button will take the user to the success page.

![](https://content.gitbook.com/content/GYQEda2SOh4goA6Ee2d2/blobs/Uuk9Eqr5WQNZMBHU3sQM/image.png)\ <br>

#### Damaged Stock Details

* This screen captures the mandatory fields: Product, damaged during, received  from, and quantity damaged.
* The optional fields include waybill number, quantity indicated on waybill, transport type, vehicle number, and comments. &#x20;
* Clicking on the submit button will take he user to the success page.

![](https://content.gitbook.com/content/GYQEda2SOh4goA6Ee2d2/blobs/LiQ8suJm2dNNHtBVJWXc/image.png)

#### Lost Stock Details

This screen captures the mandatory fields: Product, lost during, received from, and quantity lost.&#x20;

The optional fields are wWaybill Number, quantity indicated on waybill, transport type, vehicle number, and comments. &#x20;

Clicking on the submit button will take the user to the success page.

![](https://content.gitbook.com/content/GYQEda2SOh4goA6Ee2d2/blobs/Nyl7h5FLsERT7kmtCL6e/image.png)\ <br>

## Stock Reconciliation

* When the user clicks on the stock reconciliation button on the home screen, he/she is navigated to this screen where he/she needs to verify whether the physical count and calculated stock values are the same or not.&#x20;
* In the select product field, the user needs to select a product from the dropdown.&#x20;
* There are warehouse name and administrative area fields as well, all of which are mandatory.&#x20;

![](https://content.gitbook.com/content/GYQEda2SOh4goA6Ee2d2/blobs/zJanK6Vv8WNNlqxsTnfE/image.png)

## API details

<table><thead><tr><th width="206.33333333333334">End Point</th><th width="149">Request Method</th><th>Request Info</th></tr></thead><tbody><tr><td>/stock/v1/bulk/_create</td><td><code>POST</code></td><td><pre class="language-json"><code class="lang-json">{
  "RequestInfo": {
    "authToken": "string"
  },
  "Stock": [
    {
      "clientReferenceId": "string",
      "tenantId": "tenantA",
      "facilityId": "FacilityA",
      "productVariantId": "string",
      "quantity": 0,
      "wayBillNumber": "string",
      "referenceId": "C-1",
      "referenceIdType": "PROJECT",
      "transactionType": "RECEIVED",
      "transactionReason": "RECEIVED",
      "transactingPartyId": "string",
      "transactingPartyType": "WAREHOUSE",
    }
  ]
}
</code></pre></td></tr><tr><td>/stock/v1/bulk/_update</td><td>POST</td><td><pre class="language-json"><code class="lang-json">{
  "RequestInfo": {
    "authToken": "string"
  },
  "Stock": [
    {
      "id":"UUID"
      "clientReferenceId": "string",
      "tenantId": "tenantA",
      "facilityId": "FacilityA",
      "productVariantId": "string",
      "quantity": 0,
      "wayBillNumber": "string",
      "referenceId": "C-1",
      "referenceIdType": "PROJECT",
      "transactionType": "RECEIVED",
      "transactionReason": "RECEIVED",
      "transactingPartyId": "string",
      "transactingPartyType": "WAREHOUSE",
    }
  ]
}      
</code></pre></td></tr><tr><td>/stock/v1/bulk/_search</td><td>POST</td><td><pre><code>{
  "RequestInfo": {
    "authToken": "string"
  },
  "Stock": {
    "id": [
      "string"
    ],
    "clientReferenceId": [
      "string"
    ],
    "facilityId": "FacilityA",
    "productVariantId": "string",
    "referenceId": "C-1",
  }
}
</code></pre></td></tr><tr><td>/stock/reconciliation/v1/bulk/_create</td><td>POST</td><td><pre><code>{
  "RequestInfo": {
    "authToken": "string"
  },
  "StockReconciliation": [
    {
      "clientReferenceId": "string",
      "tenantId": "tenantA",
      "facilityId": "FacilityA",
      "productVariantId": "string",
      "referenceId": "C-1",
      "referenceIdType": "PROJECT",
      "physicalCount": 0,
      "calculatedCount": 0,
      "commentsOnReconciliation": "string",
      "dateOfReconciliation": 1663218161,
      "rowVersion": 0
    }
  ]
}
</code></pre></td></tr><tr><td>/stock/reconciliation/v1/_search</td><td>POST</td><td><pre><code>{
  "RequestInfo": {
    "authToken": "string"
  },
  "StockReconciliation": {
    "id": [
      "string"
    ],
    "clientReferenceId": [
      "string"
    ],
    "facilityId": "FacilityA",
    "productVariantId": "string"
  }
}
</code></pre></td></tr></tbody></table>

File Path : <https://github.com/egovernments/health-campaign-field-worker-app/tree/master/apps/health_campaign_field_worker_app/lib/pages/inventory><br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/health/v1.5/setup/configuration/ui-configuration/stock-management.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
